//
// DAB-Embedded, OpenWRT Altera MAX10 configure
// 2016
//

module TestM10(
    EBI_D,
    EBI_A,
    EBI_NCS0,
    EBI_NWAIT,
    EBI_NWE,
    EBI_NRD,
    CLK50_M10,
    nRESET_M10,
    LED,
    LVDS0_CK_OUTP,
    LVDS0_CK_OUTN,
    MAX10_LVDS0_CK_INP,
    MAX10_LVDS0_CK_INN,
    MAX10_LVDS0_SP,
    MAX10_LVDS0_SN,
    MAX10_LVDS1_SP,
    MAX10_LVDS1_SN,
    MAX10_LVDS2_SP,
    MAX10_LVDS2_SN,
    MAX10_LVDS3_SP,
    MAX10_LVDS3_SN,
    MAX10_AIN1,
    MAX10_AIN2,
    MAX10_AIN3,
    MAX10_AIN4,
    CPU_PE15_RXD3,
    CPU_PE15_CTS3,
    CPU_PE15_RTS3,
    CPU_PE15_SCK3,
    CPU_PE15_TXD3,
    CPU_PD5,
    CPU_PD6
);

//CLOCKS
input         CLK50_M10;
input         nRESET_M10;

// LVDS (if 3.3V just GPIO)
input         LVDS0_CK_OUTP;
input         LVDS0_CK_OUTN;
input         MAX10_LVDS0_CK_INP;
input         MAX10_LVDS0_CK_INN;
input         MAX10_LVDS0_SP;
input         MAX10_LVDS0_SN;
input         MAX10_LVDS1_SP;
input         MAX10_LVDS1_SN;
input         MAX10_LVDS2_SP;
input         MAX10_LVDS2_SN;
input         MAX10_LVDS3_SP;
input         MAX10_LVDS3_SN;

// ADC (if SCU just GPIO)
inout         MAX10_AIN1;
inout         MAX10_AIN2;
inout         MAX10_AIN3;
inout         MAX10_AIN4;

// Processor USART
inout         CPU_PE15_RXD3;
inout         CPU_PE15_CTS3;
inout         CPU_PE15_RTS3;
inout         CPU_PE15_SCK3;
inout         CPU_PE15_TXD3;

// Processor GPIO
inout         CPU_PD5;
inout         CPU_PD6;

//LED
output [2:0]  LED;

//Atmel data bus
inout  [15:0] EBI_D;
input  [11:0] EBI_A;
input         EBI_NCS0;
input         EBI_NWAIT;
input         EBI_NWE;
input         EBI_NRD;

       
//always @ (posedge CLK50_M10)

    owt_nios u0 (
	    .pio_0_led_export   (LED),          // pio_0_led.export
        .clk_clk            (CLK50_M10),    // clk.clk
        .reset_reset_n      (nRESET_M10),   // reset.reset_n
        .em0_address        (EBI_A),        // em0.address
        .em0_chip_select    (EBI_NCS0),     //    .byte_enable
        .em0_read           (EBI_NRD),      //    .read
        .em0_write          (EBI_NWE),      //    .write
        .em0_data_bus       (EBI_D)         //    .data_bus
    );
	 
endmodule 